Unable to locate PostgreSQL 9.6 repository on SUSE Linux

bmishra0bmishra0 New or Quiet Member
Hello All,

I am unable to find the repository for PostgreSQL 9.6. Few days back it was there but now I am unable to find it.

OS:SUSE Linux Enterprise Server for SAP Applications 12 SP2 (x86_64)

Please find the error below:

zypper addrepo http://download.opensuse.org/repositories/server:database:postgresql/SLE_12_SP2/server:database:postgresql.repo
File '/repositories/server:database:postgresql/SLE_12_SP2/server:database:postgresql.repo' not found on medium 'http://download.opensuse.org/'

Abort, retry, ignore? [a/r/i/? shows all options] (a): a

Thanks,
Bhawana

Comments

  • abab Knowledge Partner
    You are pointed to an openSUSE repository, so not an official SLES
    repository. As a result, you will need to contact the maintainer of that
    repository to see if they plan on putting the build back. Alternatively,
    you could create your own account on the Open Build Service, build the
    software yourself, and then subscribe to it.

    Looking up PostgreSQL 9.6 on https://software.opensuse.org/ I found this:

    https://software.opensuse.org/package/postgresql96

    The builds are for openSUSE Leap, but you may be able to use them if you
    are okay with using non-SLES-official software, as you apparently were before.

    On the other hand, it may be worth verifying that you need this version of
    PostgreSQL rather than the one that comes with your version of SLES.
    While OBS can build for various things, including SLES, the software there
    is not officially from SUSE, and therefore is not supported by them. SLES
    12 comes with PostgreSQL out of the box so unless the SAP version removed
    it I do not think you should need to use it from outside sources. If SAP
    needs something newer, then I would probably talk to SUSE (via an account
    or sales representative) about getting the PostgreSQL version updated in
    the official SLES repositories.


    --
    Good luck.

    If you find this post helpful and are logged into the web interface,
    show your appreciation and click on the star below.

    If you want to send me a private message, please let me know in the
    forum as I do not use the web interface often.
  • bmishra0bmishra0 New or Quiet Member
    Thanks a lot for the heads up and quick response.
    Actually I want to use PostgreSQL 9.6 version from the SUSE repository (not opensuse repository)
    But currently the version that I am having in the repository ,by default with (SUSE Linux Enterprise Server for SAP Applications 12 SP2 (x86_64)) is PostgreSQL 9.4.
    Please let me know by when (or which SUSE version or SP would have PostgreSQL 9.6 as default) or is there any link where I can track the changes.

    Thanks,
    Bhawana
  • malcolmlewismalcolmlewis Knowledge Partner
    bmishra0 wrote: »
    Thanks a lot for the heads up and quick response.
    Actually I want to use PostgreSQL 9.6 version from the SUSE repository (not opensuse repository)
    But currently the version that I am having in the repository ,by default with (SUSE Linux Enterprise Server for SAP Applications 12 SP2 (x86_64)) is PostgreSQL 9.4.
    Please let me know by when (or which SUSE version or SP would have PostgreSQL 9.6 as default) or is there any link where I can track the changes.

    Thanks,
    Bhawana
    Hi
    It should be available from the Updates repository...?
    zypper if postgresql96
    
    
    Information for package postgresql96:
    -------------------------------------
    Repository     : SLES12-SP2-Updates                        
    Name           : postgresql96                              
    Version        : 9.6.3-2.4                                 
    Arch           : x86_64                                    
    Vendor         : SUSE LLC <https://www.suse.com/>          
    Support Level  : Level 2                                   
    Installed Size : 5.1 MiB                                   
    Installed      : No                                        
    Status         : not installed                             
    Source package : postgresql96-9.6.3-2.4.src                
    Summary        : Basic Clients and Utilities for PostgreSQL
    
  • bmishra0bmishra0 New or Quiet Member
    Thanks a lot.
    I would check and let you know in case of any query.

    Regards,
    Bhawana
Sign In or Register to comment.